## neutron-dynamic-routing 14.0.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
pbr!=2.1.0,>=2.0.0 # Apache-2.0

eventlet!=0.18.3,!=0.20.1,>=0.18.2 # MIT
httplib2>=0.9.1 # MIT
netaddr>=0.7.18 # BSD
SQLAlchemy>=1.2.0 # MIT
alembic>=0.8.10 # MIT
six>=1.10.0 # MIT
neutron-lib>=1.21.0 # Apache-2.0
os-ken>=0.3.0 # Apache-2.0
oslo.config>=5.2.0 # Apache-2.0
oslo.db>=4.27.0 # Apache-2.0
oslo.log>=3.36.0 # Apache-2.0
oslo.messaging>=5.29.0 # Apache-2.0
oslo.serialization!=2.19.1,>=2.18.0 # Apache-2.0
oslo.service!=1.28.1,>=1.24.0 # Apache-2.0
oslo.utils>=3.33.0 # Apache-2.0
neutron>=13.0.0.0b2 # Apache-2.0

# The comment below indicates this project repo is current with neutron-lib
# and should receive neutron-lib consumption patches as they are released
# in neutron-lib. It also implies the project will stay current with TC
# and infra initiatives ensuring consumption patches can land.
# neutron-lib-current

=== debian/changelog ===
neutron-dynamic-routing (2:14.0.0-0ubuntu1) disco; urgency=medium

  [ Corey Bryant ]
  * d/rules: Ensure binary uses python3 shebang (LP: #1824231).

  [ James Page ]
  * New upstream release for OpenStack Stein.

 -- James Page <james.page@ubuntu.com>  Fri, 12 Apr 2019 09:54:48 +0100

neutron-dynamic-routing (2:14.0.0~rc1-0ubuntu1) disco; urgency=medium

  * New upstream release candidate for OpenStack Stein.

 -- James Page <james.page@ubuntu.com>  Fri, 22 Mar 2019 11:04:48 +0000

neutron-dynamic-routing (2:14.0.0~b1-0ubuntu1) disco; urgency=medium

  [ Sahid Orentino Ferdjaoui ]
  * New upstream release for Openstack Stein.
  * d/watch: Update watch to align with new upstream versions.

  [ James Page ]
  * d/control: Align (Build-)Depends with upstream.

 -- Sahid Orentino Ferdjaoui <sahid.ferdjaoui@canonical.com>  Thu, 14 Mar 2019 17:00:57 +0000

neutron-dynamic-routing (2:14.0.0~b1~git2018111605.17e823e-0ubuntu1) disco; urgency=medium

  * New upstream snapshot for OpenStack Stein.
  * d/control,rules,python*: Drop Python 2 support.

 -- James Page <james.page@ubuntu.com>  Fri, 16 Nov 2018 16:51:35 +0000

neutron-dynamic-routing (2:13.0.0-0ubuntu1) cosmic; urgency=medium

  * New upstream release for OpenStack Rocky.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 30 Aug 2018 13:32:47 -0400

neutron-dynamic-routing (2:13.0.0~rc1-0ubuntu1) cosmic; urgency=medium

  * New upstream release candidate for OpenStack Rocky
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 10 Aug 2018 16:29:18 -0400

neutron-dynamic-routing (2:13.0.0~b3-0ubuntu1) cosmic; urgency=medium

  * New upstream milestone for OpenStack Rocky.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 08 Aug 2018 12:36:23 -0400

neutron-dynamic-routing (2:13.0.0~b2-0ubuntu2) cosmic; urgency=medium

  * Add Python 3 support:
    - d/control: Add BD's for py3.
    - d/control: Deal with move of configuration files to -common.
    - d/rules: Use pkgos-dh_auto_install.
    - d/python-neutron-dynamic-routing.install: Drop, not needed.
    - d/rules: Directly generate sample config files.
    - d/p/py36-compat.patch: Fixup patching of argv, resolving unit
      test failures under Python 3.6.

 -- James Page <james.page@ubuntu.com>  Tue, 19 Jun 2018 10:52:30 +0100

neutron-dynamic-routing (2:13.0.0~b2-0ubuntu1) cosmic; urgency=medium

  * d/watch: Align to 13.x.x series.
  * New upstream milestone for OpenStack Rocky.

 -- James Page <james.page@ubuntu.com>  Wed, 13 Jun 2018 17:02:46 +0100

neutron-dynamic-routing (2:13.0.0~b1-0ubuntu1) cosmic; urgency=medium

  * New upstream milestone for OpenStack Rocky.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/fix-failure-when-adding-a-speaker-to-an-agent.patch: Dropped. Fixed
    in upstream milestone.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 07 May 2018 09:27:20 -0400

neutron-dynamic-routing (2:12.0.0-0ubuntu2) cosmic; urgency=medium

  * d/p/fix-failure-when-adding-a-speaker-to-an-agent.patch: Cherry-picked
    from upstream stable/queens branch to ensure adding speaker to agent
    doesn't fail (LP: #1750121).

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 25 Apr 2018 09:16:30 -0400

neutron-dynamic-routing (2:12.0.0-0ubuntu1) bionic; urgency=medium

  * New upstream release for OpenStack Queens.

 -- James Page <james.page@ubuntu.com>  Wed, 28 Feb 2018 16:45:08 +0000

neutron-dynamic-routing (2:12.0.0~rc2-0ubuntu1) bionic; urgency=medium

  * New upstream release candidate for OpenStack Queens.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 20 Feb 2018 12:46:39 -0500

neutron-dynamic-routing (2:12.0.0~rc1-0ubuntu1) bionic; urgency=medium

  * New upstream milestone for OpenStack Queens.
  * d/control: Align (Build-)Depends with upstream.

 -- James Page <james.page@ubuntu.com>  Mon, 12 Feb 2018 17:53:35 +0000

neutron-dynamic-routing (2:12.0.0~b3-0ubuntu1) bionic; urgency=medium

  * New upstream milestone for OpenStack Queens.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 26 Jan 2018 15:45:20 -0500

neutron-dynamic-routing (2:12.0.0~b2-0ubuntu1) bionic; urgency=medium

  * d/watch: Scope to 12.x series.
  * New upstream milestone for OpenStack Queens.
  * d/control: Align (Build-)Depends with upstream.
  * d/*: wrap-and-sort -bast.
  * d/control,compat: Bump debhelper compat to 10, drop BD on dh-
    systemd.
  * d/control: Bumped Standards-Version to 4.1.2.
  * d/p/*: Drop, no longer needed.

 -- James Page <james.page@ubuntu.com>  Mon, 11 Dec 2017 14:59:04 +0000

neutron-dynamic-routing (2:12.0.0~b1-0ubuntu1) bionic; urgency=medium

  * New upstream milestone for OpenStack Queens.
  * d/control: Align (Build-)Depends with upstream.

 -- James Page <james.page@ubuntu.com>  Thu, 16 Nov 2017 16:56:46 +0000

=== debian/control ===
Source: neutron-dynamic-routing
Section: net
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 David Della Vecchia <ddv@canonical.com>,
Build-Depends:
 debhelper (>= 10~),
 dh-python,
 openstack-pkg-tools (>= 53~),
 python-all,
 python-pbr (>= 2.0.0),
 python-setuptools,
 python3-all,
 python3-pbr (>= 2.0.0),
 python3-setuptools,
 python3-sphinx (>= 1.6.5),
Build-Depends-Indep:
 python3-alembic (>= 0.8.10),
 python3-coverage (>= 4.0),
 python3-eventlet (>= 0.18.2),
 python3-fixtures (>= 3.0.0),
 python3-hacking (>= 0.11.0),
 python3-httplib2 (>= 0.9.1),
 python3-mock (>= 2.0.0),
 python3-netaddr (>= 0.7.18),
 python3-neutron (>= 2:14.0.0~),
 python3-neutron-lib (>= 1.21.0),
 python3-openstackdocstheme (>= 1.18.1),
 python3-os-ken (>= 0.3.0),
 python3-os-testr (>= 1.0.0),
 python3-oslo.concurrency (>= 3.25.0),
 python3-oslo.config (>= 1:5.2.0),
 python3-oslo.db (>= 4.27.0),
 python3-oslo.log (>= 3.36.0),
 python3-oslo.messaging (>= 5.29.0),
 python3-oslo.serialization (>= 2.18.0),
 python3-oslo.service (>= 1.24.0),
 python3-oslo.utils (>= 3.33.0),
 python3-oslotest (>= 1:3.2.0),
 python3-reno (>= 2.5.0),
 python3-requests-mock (>= 1.1.0),
 python3-six (>= 1.10.0),
 python3-sqlalchemy (>= 1.2.0),
 python3-stestr (>= 1.0.0),
 python3-subunit (>= 1.0.0),
 python3-tempest (>= 1:17.1.0),
 python3-testresources (>= 2.0.0),
 python3-testscenarios (>= 0.4),
 python3-testtools (>= 2.2.0),
 python3-webob (>= 1:1.7.1),
 python3-webtest (>= 2.0.27),
Standards-Version: 4.1.2
Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/neutron-dynamic-routing
Vcs-Git: git://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/neutron-dynamic-routing
Homepage: https://github.com/openstack/neutron-dynamic-routing

Package: neutron-bgp-dragent
Architecture: all
Depends:
 neutron-dynamic-routing-common (= ${source:Version}),
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
Description: OpenStack Neutron Dynamic Routing - Agent
 Neutron provides an API to dynamically request and configure virtual networks.
 These networks connect "interfaces" from other OpenStack services (such as
 vNICs from Nova VMs). The Neutron API supports extensions to provide advanced
 network capabilities, including QoS, ACLs, and network monitoring.
 .
 Neutron dynamic routing enables advertisement of self-service (private)
 network prefixes to physical network devices that support dynamic routing
 protocols such as routers, thus removing the conventional dependency on static
 routes.
 .
 It advertises three classes of routes:
  * Host routes for floating IP addresses hosted on non-DVR routers, the
    nexthop is the centralized router.
  * Host routes for floating IP addresses hosted on DVR routers, the nexthop is
    the appropriate compute node.
  * Prefix routes for directly routable tenant networks with address scopes,
    the nexthop is the centralized router, the same for DVR and CVR.
 .
 Neutron dynamic routing consists of service plug-in and agent. The service
 plug-in implements the Networking service extension and the agent manages
 dynamic routing protocol peering sessions. The plug-in communicates with the
 agent through RPC.
 .
 This package contains the Dynamic Routing agent.

Package: neutron-dynamic-routing-common
Architecture: all
Depends:
 neutron-common,
 python3-neutron-dynamic-routing (= ${source:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Description: OpenStack Neutron Dynamic Routing - common files
 Neutron provides an API to dynamically request and configure virtual networks.
 These networks connect "interfaces" from other OpenStack services (such as
 vNICs from Nova VMs). The Neutron API supports extensions to provide advanced
 network capabilities, including QoS, ACLs, and network monitoring.
 .
 Neutron dynamic routing enables advertisement of self-service (private)
 network prefixes to physical network devices that support dynamic routing
 protocols such as routers, thus removing the conventional dependency on static
 routes.
 .
 It advertises three classes of routes:
  * Host routes for floating IP addresses hosted on non-DVR routers, the
    nexthop is the centralized router.
  * Host routes for floating IP addresses hosted on DVR routers, the nexthop is
    the appropriate compute node.
  * Prefix routes for directly routable tenant networks with address scopes,
    the nexthop is the centralized router, the same for DVR and CVR.
 .
 Neutron dynamic routing consists of service plug-in and agent. The service
 plug-in implements the Networking service extension and the agent manages
 dynamic routing protocol peering sessions. The plug-in communicates with the
 agent through RPC.
 .
 This package contains common files.

Package: python3-neutron-dynamic-routing
Architecture: all
Section: python
Depends:
 python3-alembic (>= 0.8.10),
 python3-eventlet (>= 0.18.2),
 python3-httplib2 (>= 0.9.1),
 python3-netaddr (>= 0.7.18),
 python3-neutron (>= 2:14.0.0~),
 python3-neutron-lib (>= 1.21.0),
 python3-os-ken (>= 0.3.0),
 python3-oslo.config (>= 1:5.2.0),
 python3-oslo.db (>= 4.27.0),
 python3-oslo.log (>= 3.36.0),
 python3-oslo.messaging (>= 5.29.0),
 python3-oslo.serialization (>= 2.18.0),
 python3-oslo.service (>= 1.24.0),
 python3-oslo.utils (>= 3.33.0),
 python3-pbr (>= 2.0.0),
 python3-six (>= 1.10.0),
 python3-sqlalchemy (>= 1.2.0),
 ${misc:Depends},
 ${python3:Depends},
Provides:
 ${python3:Provides},
Description: OpenStack Neutron Dynamic Routing - Python 3 library
 Neutron provides an API to dynamically request and configure virtual networks.
 These networks connect "interfaces" from other OpenStack services (such as
 vNICs from Nova VMs). The Neutron API supports extensions to provide advanced
 network capabilities, including QoS, ACLs, and network monitoring.
 .
 Neutron dynamic routing enables advertisement of self-service (private)
 network prefixes to physical network devices that support dynamic routing
 protocols such as routers, thus removing the conventional dependency on static
 routes.
 .
 It advertises three classes of routes:
  * Host routes for floating IP addresses hosted on non-DVR routers, the
    nexthop is the centralized router.
  * Host routes for floating IP addresses hosted on DVR routers, the nexthop is
    the appropriate compute node.
  * Prefix routes for directly routable tenant networks with address scopes,
    the nexthop is the centralized router, the same for DVR and CVR.
 .
 Neutron dynamic routing consists of service plug-in and agent. The service
 plug-in implements the Networking service extension and the agent manages
 dynamic routing protocol peering sessions. The plug-in communicates with the
 agent through RPC.
 .
 This package provides the Python 3 library.

=== debian/watch ===
version=3
opts="uversionmangle=s/\.([a-zA-Z])/~$1/;s/%7E/~/;s/\.0b/~b/;s/\.0rc/~rc/" \
https://tarballs.openstack.org/neutron-dynamic-routing/ neutron-dynamic-routing-(14\.\d.*)\.tar\.gz

## neutron-dynamic-routing 15.0.0

=== debian/changelog ===
neutron-dynamic-routing (2:15.0.0-0ubuntu1) eoan; urgency=medium

  * New upstream release for OpenStack Train.

 -- James Page <james.page@ubuntu.com>  Wed, 16 Oct 2019 16:17:40 +0100

neutron-dynamic-routing (2:15.0.0~rc1-0ubuntu1) eoan; urgency=medium

  * d/watch: Track 15.x series.
  * New upstream release for OpenStack Train.

 -- James Page <james.page@ubuntu.com>  Thu, 26 Sep 2019 12:30:10 +0100

neutron-dynamic-routing (2:15.0.0~b2~git2019073117.7a2b807-0ubuntu1) eoan; urgency=medium

  * New upstream snapshot for OpenStack Train.
  * d/control: Align (Build-)Depends with upstream.

 -- Sahid Orentino Ferdjaoui <sahid.ferdjaoui@canonical.com>  Wed, 31 Jul 2019 17:33:46 +0200

neutron-dynamic-routing (2:15.0.0~b1~git2019061331.a32c6f8-0ubuntu1) eoan; urgency=medium

  * New upstream snapshot for OpenStack Train.
  * d/control: Align (Build-)Depends with upstream.

 -- James Page <james.page@ubuntu.com>  Thu, 13 Jun 2019 12:04:45 +0100

=== debian/control ===
--- 
+++ 
@@ -22,16 +22,16 @@
  python3-coverage (>= 4.0),
  python3-eventlet (>= 0.18.2),
  python3-fixtures (>= 3.0.0),
- python3-hacking (>= 0.11.0),
+ python3-hacking (>= 1.1.0),
  python3-httplib2 (>= 0.9.1),
  python3-mock (>= 2.0.0),
  python3-netaddr (>= 0.7.18),
- python3-neutron (>= 2:14.0.0~),
- python3-neutron-lib (>= 1.21.0),
+ python3-neutron (>= 2:15.0.0~),
+ python3-neutron-lib (>= 1.26.0),
  python3-openstackdocstheme (>= 1.18.1),
  python3-os-ken (>= 0.3.0),
  python3-os-testr (>= 1.0.0),
- python3-oslo.concurrency (>= 3.25.0),
+ python3-oslo.concurrency (>= 3.26.0),
  python3-oslo.config (>= 1:5.2.0),
  python3-oslo.db (>= 4.27.0),
  python3-oslo.log (>= 3.36.0),
@@ -131,8 +131,8 @@
  python3-eventlet (>= 0.18.2),
  python3-httplib2 (>= 0.9.1),
  python3-netaddr (>= 0.7.18),
- python3-neutron (>= 2:14.0.0~),
- python3-neutron-lib (>= 1.21.0),
+ python3-neutron (>= 2:15.0.0~),
+ python3-neutron-lib (>= 1.26.0),
  python3-os-ken (>= 0.3.0),
  python3-oslo.config (>= 1:5.2.0),
  python3-oslo.db (>= 4.27.0),

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT = https://github.com/openstack/neutron-dynamic-routing.git
include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python3,systemd

override_dh_auto_install:
	pkgos-dh_auto_install --no-py2

override_dh_install:
	# NOTE: generate configuration files directly
	mkdir -p $(CURDIR)/etc/neutron
	for file in `ls etc/oslo-config-generator/*`; do \
	     PYTHONPATH=$(CURDIR) oslo-config-generator --config-file=$$file \
	        --output-file=etc/neutron/`basename $$file`; \
	done
	rm -rf $(CURDIR)/debian/python*-neutron-dynamic-routing/usr/etc
	dh_install -O--buildsystem=python_distutils --fail-missing

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	# https://bugs.launchpad.net/neutron/+bug/1803745
	pkgos-dh_auto_test --no-py2 'neutron_dynamic_routing\.tests\.unit.(?!(.*TestRescheduleBgpSpeaker.*))'
endif

override_dh_auto_clean:
	dh_auto_clean
	rm -f debian/*.init debian/*.service debian/*.upstart
	for file in `ls etc/oslo-config-generator/*`; do rm -f etc/neutron/`basename $$file`; done
	rm -rf $(CURDIR)/etc/neutron

override_dh_clean:
	dh_clean
	find . -type f -name "*.pyc" -delete
	rm -rf build

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

## neutron-dynamic-routing 16.0.0~b3~git2020041013.045811b

=== requirements.txt ===
--- 
+++ 
@@ -9,7 +9,7 @@
 SQLAlchemy>=1.2.0 # MIT
 alembic>=0.8.10 # MIT
 six>=1.10.0 # MIT
-neutron-lib>=1.21.0 # Apache-2.0
+neutron-lib>=1.26.0 # Apache-2.0
 os-ken>=0.3.0 # Apache-2.0
 oslo.config>=5.2.0 # Apache-2.0
 oslo.db>=4.27.0 # Apache-2.0
@@ -18,7 +18,7 @@
 oslo.serialization!=2.19.1,>=2.18.0 # Apache-2.0
 oslo.service!=1.28.1,>=1.24.0 # Apache-2.0
 oslo.utils>=3.33.0 # Apache-2.0
-neutron>=13.0.0.0b2 # Apache-2.0
+neutron>=14.0.0.0b1 # Apache-2.0
 
 # The comment below indicates this project repo is current with neutron-lib
 # and should receive neutron-lib consumption patches as they are released

=== debian/changelog ===
neutron-dynamic-routing (2:16.0.0~b3~git2020041013.045811b-0ubuntu1) focal; urgency=medium

  * New upstream snapshot for OpenStack Ussuri.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 10 Apr 2020 13:29:40 -0400

neutron-dynamic-routing (2:16.0.0~b3~git2020032542.fd72823-0ubuntu1) focal; urgency=medium

  * New upstream snapshot for OpenStack Ussuri.

 -- James Page <james.page@ubuntu.com>  Wed, 25 Mar 2020 10:02:10 +0000

neutron-dynamic-routing (2:16.0.0~b2~git2020021008.777fb16-0ubuntu1) focal; urgency=medium

  * New upstream snapshot for OpenStack Ussuri.

 -- Sahid Orentino Ferdjaoui <sahid.ferdjaoui@canonical.com>  Mon, 10 Feb 2020 09:18:00 +0100

neutron-dynamic-routing (2:16.0.0~b1~git2019121713.0c98a88-0ubuntu1) focal; urgency=medium

  * New upstream snapshot for OpenStack Ussuri.
  * d/control: Align (Build-)Depends with upstream.
  * d/control, d/rules, d/compat: Switch to debhelper compat 12 and pybuild.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 17 Dec 2019 13:46:51 -0500

=== debian/control ===
--- 
+++ 
@@ -7,12 +7,9 @@
  Thomas Goirand <zigo@debian.org>,
  David Della Vecchia <ddv@canonical.com>,
 Build-Depends:
- debhelper (>= 10~),
+ debhelper-compat (= 12),
  dh-python,
  openstack-pkg-tools (>= 53~),
- python-all,
- python-pbr (>= 2.0.0),
- python-setuptools,
  python3-all,
  python3-pbr (>= 2.0.0),
  python3-setuptools,
@@ -26,7 +23,7 @@
  python3-httplib2 (>= 0.9.1),
  python3-mock (>= 2.0.0),
  python3-netaddr (>= 0.7.18),
- python3-neutron (>= 2:15.0.0~),
+ python3-neutron (>= 2:16.0.0~),
  python3-neutron-lib (>= 1.26.0),
  python3-openstackdocstheme (>= 1.18.1),
  python3-os-ken (>= 0.3.0),
@@ -43,6 +40,7 @@
  python3-reno (>= 2.5.0),
  python3-requests-mock (>= 1.1.0),
  python3-six (>= 1.10.0),
+ python3-sphinxcontrib.svg2pdfconverter (>= 0.1.0),
  python3-sqlalchemy (>= 1.2.0),
  python3-stestr (>= 1.0.0),
  python3-subunit (>= 1.0.0),
@@ -131,7 +129,7 @@
  python3-eventlet (>= 0.18.2),
  python3-httplib2 (>= 0.9.1),
  python3-netaddr (>= 0.7.18),
- python3-neutron (>= 2:15.0.0~),
+ python3-neutron (>= 2:16.0.0~),
  python3-neutron-lib (>= 1.26.0),
  python3-os-ken (>= 0.3.0),
  python3-oslo.config (>= 1:5.2.0),

=== debian/rules ===
--- 
+++ 
@@ -1,13 +1,12 @@
 #!/usr/bin/make -f
+
+export PYBUILD_NAME=neutron_dynamic_routing
 
 UPSTREAM_GIT = https://github.com/openstack/neutron-dynamic-routing.git
 include /usr/share/openstack-pkg-tools/pkgos.make
 
 %:
-	dh $@ --buildsystem=python_distutils --with python3,systemd
-
-override_dh_auto_install:
-	pkgos-dh_auto_install --no-py2
+	dh $@ --with python3 --buildsystem=pybuild
 
 override_dh_install:
 	# NOTE: generate configuration files directly
@@ -16,8 +15,9 @@
 	     PYTHONPATH=$(CURDIR) oslo-config-generator --config-file=$$file \
 	        --output-file=etc/neutron/`basename $$file`; \
 	done
-	rm -rf $(CURDIR)/debian/python*-neutron-dynamic-routing/usr/etc
-	dh_install -O--buildsystem=python_distutils --fail-missing
+	rm -rf $(CURDIR)/debian/python3-neutron-dynamic-routing/usr/etc
+	dh_install
+	dh_missing --fail-missing
 
 override_dh_auto_test:
 ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))

=== debian/watch ===
version=3
opts="uversionmangle=s/\.([a-zA-Z])/~$1/;s/%7E/~/;s/\.0b/~b/;s/\.0rc/~rc/" \
https://tarballs.openstack.org/neutron-dynamic-routing/ neutron-dynamic-routing-(15\.\d.*)\.tar\.gz

## neutron-dynamic-routing 16.0.0

=== debian/changelog ===
neutron-dynamic-routing (2:16.0.0-0ubuntu0.20.04.1) focal; urgency=medium

  * d/watch: Scope to 16.x series and get tarballs from opendev.org.
  * New upstream release for OpenStack Ussuri (LP: #1877642).
  * d/gbp.conf: Create stable/ussuri branch.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 14 May 2020 13:52:57 -0400

=== debian/watch ===
version=3
opts="uversionmangle=s/\.([a-zA-Z])/~$1/;s/%7E/~/;s/\.0b/~b/;s/\.0rc/~rc/" \
https://tarballs.opendev.org/openstack/neutron-dynamic-routing/ neutron-dynamic-routing-(16\.\d.*)\.tar\.gz

## neutron-dynamic-routing 17.0.0

=== requirements.txt ===
--- 
+++ 
@@ -8,11 +8,10 @@
 netaddr>=0.7.18 # BSD
 SQLAlchemy>=1.2.0 # MIT
 alembic>=0.8.10 # MIT
-six>=1.10.0 # MIT
 neutron-lib>=1.26.0 # Apache-2.0
 os-ken>=0.3.0 # Apache-2.0
 oslo.config>=5.2.0 # Apache-2.0
-oslo.db>=4.27.0 # Apache-2.0
+oslo.db>=4.44.0 # Apache-2.0
 oslo.log>=3.36.0 # Apache-2.0
 oslo.messaging>=5.29.0 # Apache-2.0
 oslo.serialization!=2.19.1,>=2.18.0 # Apache-2.0

=== debian/changelog ===
neutron-dynamic-routing (2:17.0.0-0ubuntu1) groovy; urgency=medium

  * New upstream release for OpenStack Victoria.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 15 Oct 2020 09:17:14 -0400

neutron-dynamic-routing (2:17.0.0~rc1-0ubuntu1) groovy; urgency=medium

  [ Chris MacNaughton ]
  * d/control: Update VCS paths for move to lp:~ubuntu-openstack-dev.
  * d/watch: Scope to 17.x series.

  [ Corey Bryant ]
  * New upstream release candidate for OpenStack Victoria.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 09 Oct 2020 16:35:58 -0400

neutron-dynamic-routing (2:17.0.0~b3~git2020091413.632061c-0ubuntu1) groovy; urgency=medium

  * New upstream snapshot for OpenStack Victoria.
  * d/control: Align (Build-)Depends with upstream.

 -- Chris MacNaughton <chris.macnaughton@canonical.com>  Mon, 14 Sep 2020 13:18:57 +0000

neutron-dynamic-routing (2:17.0.0~b2~git2020073014.41f49bc-0ubuntu1) groovy; urgency=medium

  * New upstream snapshot for OpenStack Victoria.
  * d/copyright, d/rules: Update upstream URL.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 30 Jul 2020 14:54:23 -0400

neutron-dynamic-routing (2:16.0.1~git2020070710.9025dc7-0ubuntu1) groovy; urgency=medium

  * New upstream snapshot for OpenStack Victoria.
  * d/control: Align (Build-)Depends with upstream.
  * d/control: Update Standards-Version to 4.5.0.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 07 Jul 2020 10:28:39 -0400

neutron-dynamic-routing (2:16.0.0-0ubuntu1) groovy; urgency=medium

  * d/watch: Scope to 16.x series and get tarballs from opendev.org.
  * New upstream release for OpenStack Ussuri (LP: #1877642).

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 14 May 2020 13:52:57 -0400

=== debian/control ===
--- 
+++ 
@@ -9,11 +9,11 @@
 Build-Depends:
  debhelper-compat (= 12),
  dh-python,
- openstack-pkg-tools (>= 53~),
+ openstack-pkg-tools,
  python3-all,
  python3-pbr (>= 2.0.0),
  python3-setuptools,
- python3-sphinx (>= 1.6.5),
+ python3-sphinx (>= 2.0.0),
 Build-Depends-Indep:
  python3-alembic (>= 0.8.10),
  python3-coverage (>= 4.0),
@@ -23,21 +23,20 @@
  python3-httplib2 (>= 0.9.1),
  python3-mock (>= 2.0.0),
  python3-netaddr (>= 0.7.18),
- python3-neutron (>= 2:16.0.0~),
+ python3-neutron (>= 2:16.0.0),
  python3-neutron-lib (>= 1.26.0),
- python3-openstackdocstheme (>= 1.18.1),
+ python3-openstackdocstheme (>= 2.2.1),
  python3-os-ken (>= 0.3.0),
  python3-os-testr (>= 1.0.0),
  python3-oslo.concurrency (>= 3.26.0),
  python3-oslo.config (>= 1:5.2.0),
- python3-oslo.db (>= 4.27.0),
+ python3-oslo.db (>= 4.44.0),
  python3-oslo.log (>= 3.36.0),
  python3-oslo.messaging (>= 5.29.0),
  python3-oslo.serialization (>= 2.18.0),
  python3-oslo.service (>= 1.24.0),
  python3-oslo.utils (>= 3.33.0),
  python3-oslotest (>= 1:3.2.0),
- python3-reno (>= 2.5.0),
  python3-requests-mock (>= 1.1.0),
  python3-six (>= 1.10.0),
  python3-sphinxcontrib.svg2pdfconverter (>= 0.1.0),
@@ -50,10 +49,10 @@
  python3-testtools (>= 2.2.0),
  python3-webob (>= 1:1.7.1),
  python3-webtest (>= 2.0.27),
-Standards-Version: 4.1.2
-Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/neutron-dynamic-routing
-Vcs-Git: git://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/neutron-dynamic-routing
-Homepage: https://github.com/openstack/neutron-dynamic-routing
+Standards-Version: 4.5.0
+Vcs-Browser: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/neutron-dynamic-routing
+Vcs-Git: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/neutron-dynamic-routing
+Homepage: https://opendev.org/openstack/neutron-dynamic-routing
 
 Package: neutron-bgp-dragent
 Architecture: all
@@ -129,11 +128,11 @@
  python3-eventlet (>= 0.18.2),
  python3-httplib2 (>= 0.9.1),
  python3-netaddr (>= 0.7.18),
- python3-neutron (>= 2:16.0.0~),
+ python3-neutron (>= 2:16.0.0),
  python3-neutron-lib (>= 1.26.0),
  python3-os-ken (>= 0.3.0),
  python3-oslo.config (>= 1:5.2.0),
- python3-oslo.db (>= 4.27.0),
+ python3-oslo.db (>= 4.44.0),
  python3-oslo.log (>= 3.36.0),
  python3-oslo.messaging (>= 5.29.0),
  python3-oslo.serialization (>= 2.18.0),

=== debian/watch ===
version=3
opts="uversionmangle=s/\.([a-zA-Z])/~$1/;s/%7E/~/;s/\.0b/~b/;s/\.0rc/~rc/" \
https://tarballs.opendev.org/openstack/neutron-dynamic-routing/ neutron-dynamic-routing-(17\.\d.*)\.tar\.gz

## neutron-dynamic-routing 18.0.0

=== debian/changelog ===
neutron-dynamic-routing (2:18.0.0-0ubuntu1) hirsute; urgency=medium

  * New upstream release for OpenStack Wallaby.

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Wed, 14 Apr 2021 13:32:09 +0000

neutron-dynamic-routing (2:18.0.0~rc1-0ubuntu1) hirsute; urgency=medium

  * d/watch: Scope to 18.x series.
  * New upstream release candidate for OpenStack Wallaby.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 25 Mar 2021 11:23:45 -0400

neutron-dynamic-routing (2:17.0.0+git2021012910.d7a66c4-0ubuntu1) hirsute; urgency=medium

  * New upstream snapshot for OpenStack Wallaby.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 29 Jan 2021 10:52:34 -0500

neutron-dynamic-routing (2:17.0.0+git2020121015.4212b70-0ubuntu1) hirsute; urgency=medium

  * New upstream snapshot for OpenStack Wallaby.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 10 Dec 2020 15:29:42 -0500

=== debian/rules ===
--- 
+++ 
@@ -2,7 +2,7 @@
 
 export PYBUILD_NAME=neutron_dynamic_routing
 
-UPSTREAM_GIT = https://github.com/openstack/neutron-dynamic-routing.git
+UPSTREAM_GIT = https://opendev.org/openstack/neutron-dynamic-routing.git
 include /usr/share/openstack-pkg-tools/pkgos.make
 
 %:

=== debian/watch ===
version=3
opts="uversionmangle=s/\.([a-zA-Z])/~$1/;s/%7E/~/;s/\.0b/~b/;s/\.0rc/~rc/" \
https://tarballs.opendev.org/openstack/neutron-dynamic-routing/ neutron-dynamic-routing-(18\.\d.*)\.tar\.gz

## neutron-dynamic-routing 18.1.1

=== debian/changelog ===
neutron-dynamic-routing (2:18.1.1-2~bpo11+1) UNRELEASED; urgency=medium

  [ Thomas Goirand ]
  * Force OS_DEFAULT__USE_JSON=False in the init script of bgp-dragent, as it
    crashes with use_json=True and debug=True.

  [ Jenkins ]
  * Rebuilt by bop.

 -- Jenkins <jenkins@bullseye-wallaby.debian.net>  Wed, 12 Nov 2025 12:21:33 +0000

neutron-dynamic-routing (2:18.1.1-1) UNRELEASED; urgency=medium

  * New upstream point release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 28 Jul 2025 10:57:21 +0200

neutron-dynamic-routing (2:18.1.0-1) UNRELEASED; urgency=medium

  * New upstream release.
  * Removed fix-TypeError-when-formatting-BGP-IP-address.patch applied
    upstream.

 -- Thomas Goirand <zigo@debian.org>  Mon, 08 Aug 2022 13:35:06 +0200

neutron-dynamic-routing (2:18.0.0-3) unstable; urgency=medium

  * Upload to unstable.

 -- Michal Arbet <michal.arbet@ultimum.io>  Mon, 16 Aug 2021 16:29:42 +0200

neutron-dynamic-routing (2:18.0.0-2) experimental; urgency=medium

  * d/patches: Add fix-TypeError-when-formatting-BGP-IP-address.patch

 -- Michal Arbet <michal.arbet@ultimum.io>  Thu, 15 Jul 2021 14:29:39 +0200

neutron-dynamic-routing (2:18.0.0-1) experimental; urgency=medium

  * Set python3-neutron (>= 18.0.0~).
  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 15 Apr 2021 14:13:01 +0200

neutron-dynamic-routing (2:18.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Removed (build-)depends versions when satisfied in Bullseye.
  * Standards-Version: 4.5.1.
  * Refreshed Fix_outerjoin_to_comply_with_SQLAlchemy_1.3_strictness.patch.

 -- Thomas Goirand <zigo@debian.org>  Thu, 25 Mar 2021 08:40:44 +0100

neutron-dynamic-routing (2:17.0.0-2) unstable; urgency=medium

  * Add upstream patch for SQLA 1.3:
    - Fix_outerjoin_to_comply_with_SQLAlchemy_1.3_strictness.patch.

 -- Thomas Goirand <zigo@debian.org>  Tue, 08 Dec 2020 17:31:40 +0100

neutron-dynamic-routing (2:17.0.0-1) unstable; urgency=medium

  * New upstream release.
  * Uploading to unstable.
  * Fixed debian/watch.
  * Add a debian/salsa-ci.yml.

 -- Thomas Goirand <zigo@debian.org>  Sun, 18 Oct 2020 15:14:21 +0200

neutron-dynamic-routing (2:17.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Sun, 27 Sep 2020 21:06:43 +0200

neutron-dynamic-routing (2:16.0.0-2) unstable; urgency=medium

  * Add add-retry-of-get_bgp_speakers.patch.

 -- Thomas Goirand <zigo@debian.org>  Wed, 05 Aug 2020 13:11:01 +0200

neutron-dynamic-routing (2:16.0.0-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 13 May 2020 18:09:05 +0200

neutron-dynamic-routing (2:16.0.0~rc2-1) unstable; urgency=medium

  * New upstream release.
  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Sat, 09 May 2020 21:46:46 +0200

neutron-dynamic-routing (2:16.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Move the package to the neutron-plugins subgroup.

 -- Thomas Goirand <zigo@debian.org>  Thu, 23 Apr 2020 09:41:54 +0200

neutron-dynamic-routing (2:15.0.0-3) unstable; urgency=medium

  * Correctly detect IP address when using bgptothehost (ie: no physical NIC
    has a valid IPv4): fallback to hostname -i.

 -- Thomas Goirand <zigo@debian.org>  Fri, 13 Mar 2020 15:55:52 +0100

neutron-dynamic-routing (2:15.0.0-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * Bump Standards-Version to 4.4.1.

  [ Thomas Goirand ]
  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Tue, 22 Oct 2019 23:13:18 +0200

neutron-dynamic-routing (2:15.0.0-1) experimental; urgency=medium

  * Added debconf translations of templates:
    - fr.po (Closes: #926837).
    - nl.po (Closes: #926662).
    - pt.po (Closes: #924887).
    - de.po (Closes: #924781).
  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 16 Oct 2019 20:38:14 +0200

neutron-dynamic-routing (2:15.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 03 Oct 2019 17:16:34 +0200

neutron-dynamic-routing (2:14.0.0-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * Running wrap-and-sort -bast.
  * Use debhelper-compat instead of debian/compat.
  * Bump Standards-Version to 4.4.0.

  [ Thomas Goirand ]
  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Sat, 20 Jul 2019 17:51:04 +0200

neutron-dynamic-routing (2:14.0.0-1) experimental; urgency=medium

  [ Thomas Goirand ]
  * New upstream release.
  * Removed package versions when satisfied in Buster.
  * Fixed (build-)Depends for this release.
  * Standards-Version: 4.3.0 (no change).
  * Generating the policy file with oslopolicy-sample-generator.

  [ Michal Arbet ]
  * Change driver ryu to os-ken driver

 -- Michal Arbet <michal.arbet@ultimum.io>  Tue, 25 Jun 2019 09:40:51 +0200

neutron-dynamic-routing (2:13.0.0-2) unstable; urgency=medium

  * d/control: Add me to uploaders field
  * d/neutron-bgp-dragent.init.in:
    - Add agent.conf.d configdir as it is in other neutron's plugins
  * d/rules: Fix default config
  * Fix db migration if user set config via debconf (Closes: #924476).
  * Router id is now configurable via debconf
  * Nothing changed if used non-interactive-mode

 -- Michal Arbet <michal.arbet@ultimum.io>  Wed, 13 Mar 2019 11:54:44 +0100

=== debian/control ===
--- 
+++ 
@@ -1,58 +1,59 @@
 Source: neutron-dynamic-routing
 Section: net
-Priority: extra
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
+Priority: optional
+Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
 Uploaders:
  Thomas Goirand <zigo@debian.org>,
- David Della Vecchia <ddv@canonical.com>,
+ Michal Arbet <michal.arbet@ultimum.io>,
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper-compat (= 11),
  dh-python,
  openstack-pkg-tools,
  python3-all,
- python3-pbr (>= 2.0.0),
+ python3-pbr,
  python3-setuptools,
- python3-sphinx (>= 2.0.0),
+ python3-sphinx,
 Build-Depends-Indep:
- python3-alembic (>= 0.8.10),
- python3-coverage (>= 4.0),
- python3-eventlet (>= 0.18.2),
- python3-fixtures (>= 3.0.0),
- python3-hacking (>= 1.1.0),
- python3-httplib2 (>= 0.9.1),
- python3-mock (>= 2.0.0),
- python3-netaddr (>= 0.7.18),
- python3-neutron (>= 2:16.0.0),
- python3-neutron-lib (>= 1.26.0),
- python3-openstackdocstheme (>= 2.2.1),
- python3-os-ken (>= 0.3.0),
- python3-os-testr (>= 1.0.0),
- python3-oslo.concurrency (>= 3.26.0),
- python3-oslo.config (>= 1:5.2.0),
- python3-oslo.db (>= 4.44.0),
- python3-oslo.log (>= 3.36.0),
- python3-oslo.messaging (>= 5.29.0),
- python3-oslo.serialization (>= 2.18.0),
- python3-oslo.service (>= 1.24.0),
- python3-oslo.utils (>= 3.33.0),
- python3-oslotest (>= 1:3.2.0),
- python3-requests-mock (>= 1.1.0),
- python3-six (>= 1.10.0),
- python3-sphinxcontrib.svg2pdfconverter (>= 0.1.0),
- python3-sqlalchemy (>= 1.2.0),
- python3-stestr (>= 1.0.0),
- python3-subunit (>= 1.0.0),
- python3-tempest (>= 1:17.1.0),
- python3-testresources (>= 2.0.0),
- python3-testscenarios (>= 0.4),
- python3-testtools (>= 2.2.0),
- python3-webob (>= 1:1.7.1),
- python3-webtest (>= 2.0.27),
-Standards-Version: 4.5.0
-Vcs-Browser: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/neutron-dynamic-routing
-Vcs-Git: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/neutron-dynamic-routing
-Homepage: https://opendev.org/openstack/neutron-dynamic-routing
+ neutron-common,
+ python3-alembic,
+ python3-coverage,
+ python3-eventlet,
+ python3-fixtures,
+ python3-hacking,
+ python3-httplib2,
+ python3-mock,
+ python3-netaddr,
+ python3-neutron (>= 18.0.0~),
+ python3-neutron-lib,
+ python3-openstackdocstheme,
+ python3-os-ken,
+ python3-oslo.concurrency,
+ python3-oslo.config,
+ python3-oslo.db,
+ python3-oslo.log,
+ python3-oslo.messaging,
+ python3-oslo.serialization,
+ python3-oslo.service,
+ python3-oslo.utils,
+ python3-oslotest,
+ python3-reno,
+ python3-requests-mock,
+ python3-sqlalchemy,
+ python3-stestr,
+ python3-subunit,
+ python3-tempest,
+ python3-tenacity,
+ python3-testresources,
+ python3-testscenarios,
+ python3-testtools,
+ python3-webob,
+ python3-webtest,
+ subunit,
+ tempest,
+Standards-Version: 4.5.1
+Vcs-Browser: https://salsa.debian.org/openstack-team/neutron-plugins/neutron-dynamic-routing
+Vcs-Git: https://salsa.debian.org/openstack-team/neutron-plugins/neutron-dynamic-routing.git
+Homepage: https://github.com/openstack/neutron-dynamic-routing
 
 Package: neutron-bgp-dragent
 Architecture: all
@@ -93,6 +94,7 @@
  neutron-common,
  python3-neutron-dynamic-routing (= ${source:Version}),
  ${misc:Depends},
+ ${python3:Depends},
  ${shlibs:Depends},
 Description: OpenStack Neutron Dynamic Routing - common files
  Neutron provides an API to dynamically request and configure virtual networks.
@@ -124,28 +126,30 @@
 Architecture: all
 Section: python
 Depends:
- python3-alembic (>= 0.8.10),
- python3-eventlet (>= 0.18.2),
- python3-httplib2 (>= 0.9.1),
- python3-netaddr (>= 0.7.18),
- python3-neutron (>= 2:16.0.0),
- python3-neutron-lib (>= 1.26.0),
- python3-os-ken (>= 0.3.0),
- python3-oslo.config (>= 1:5.2.0),
- python3-oslo.db (>= 4.44.0),
- python3-oslo.log (>= 3.36.0),
- python3-oslo.messaging (>= 5.29.0),
- python3-oslo.serialization (>= 2.18.0),
- python3-oslo.service (>= 1.24.0),
- python3-oslo.utils (>= 3.33.0),
- python3-pbr (>= 2.0.0),
- python3-six (>= 1.10.0),
- python3-sqlalchemy (>= 1.2.0),
+ python3-alembic,
+ python3-eventlet,
+ python3-httplib2,
+ python3-netaddr,
+ python3-neutron (>= 18.0.0~),
+ python3-neutron-lib,
+ python3-os-ken,
+ python3-oslo.config,
+ python3-oslo.db,
+ python3-oslo.log,
+ python3-oslo.messaging,
+ python3-oslo.serialization,
+ python3-oslo.service,
+ python3-oslo.utils,
+ python3-pbr,
+ python3-sqlalchemy,
+ python3-tenacity,
  ${misc:Depends},
  ${python3:Depends},
-Provides:
- ${python3:Provides},
-Description: OpenStack Neutron Dynamic Routing - Python 3 library
+Breaks:
+ python-neutron-dynamic-routing,
+Replaces:
+ python-neutron-dynamic-routing,
+Description: OpenStack Neutron Dynamic Routing - Python library
  Neutron provides an API to dynamically request and configure virtual networks.
  These networks connect "interfaces" from other OpenStack services (such as
  vNICs from Nova VMs). The Neutron API supports extensions to provide advanced
@@ -169,4 +173,4 @@
  dynamic routing protocol peering sessions. The plug-in communicates with the
  agent through RPC.
  .
- This package provides the Python 3 library.
+ This package provides the Python library.

## neutron-dynamic-routing 19.0.0

=== debian/changelog ===
neutron-dynamic-routing (2:19.0.0-0ubuntu1) impish; urgency=medium

  * d/watch: Scope to 19.x series.
  * New upstream release for OpenStack Xena.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 06 Oct 2021 10:58:39 -0400

neutron-dynamic-routing (2:18.0.0+git2021091315.630678b-0ubuntu1) impish; urgency=medium

  * New upstream snapshot for OpenStack Xena.
  * d/rules: Run all unit tests.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 13 Sep 2021 15:16:35 -0400

neutron-dynamic-routing (2:18.0.0+git2021061405.7245c22-0ubuntu1) impish; urgency=medium

  * New upstream snapshot for OpenStack Xena.

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Mon, 14 Jun 2021 07:22:43 +0000

=== debian/watch ===
version=3
opts="uversionmangle=s/\.([a-zA-Z])/~$1/;s/%7E/~/;s/\.0b/~b/;s/\.0rc/~rc/" \
https://tarballs.opendev.org/openstack/neutron-dynamic-routing/ neutron-dynamic-routing-(19\.\d.*)\.tar\.gz

## neutron-dynamic-routing 19.1.1

=== debian/changelog ===
neutron-dynamic-routing (2:19.1.1-2~bpo11+1) UNRELEASED; urgency=medium

  [ Thomas Goirand ]
  * Force OS_DEFAULT__USE_JSON=False in the init script of bgp-dragent, as it
    crashes with use_json=True and debug=True.

  [ Jenkins ]
  * Rebuilt by bop.

 -- Jenkins <jenkins@bullseye-xena.infomaniak.ch>  Wed, 12 Nov 2025 11:57:15 +0000

neutron-dynamic-routing (2:19.1.1-1) UNRELEASED; urgency=medium

  * New upstream point release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 28 Jul 2025 10:01:45 +0200

neutron-dynamic-routing (2:19.1.0-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Tue, 11 Jan 2022 11:40:14 +0100

neutron-dynamic-routing (2:19.0.0-2) unstable; urgency=medium

  * Added es.po Spanish translation of the debconf template thanks to Camaleón
    (Closes: #987709).
  * Added pt_BR.po Brazilian Portuguese translation of the debconf template
    thanks to Paulo Henrique de Lima Santana (Closes: #986497).

 -- Thomas Goirand <zigo@debian.org>  Wed, 29 Dec 2021 12:20:04 +0100

neutron-dynamic-routing (2:19.0.0-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 06 Oct 2021 17:37:36 +0200

neutron-dynamic-routing (2:19.0.0~rc2-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 01 Oct 2021 00:55:41 +0200

neutron-dynamic-routing (2:19.0.0~rc2-1) experimental; urgency=medium

  * New upstream release.
  * Removed fix-TypeError-when-formatting-BGP-IP-address.patch applied
    upstream.
  * Fixed min version of python3-neutron-lib and python3-neutron.

 -- Thomas Goirand <zigo@debian.org>  Fri, 17 Sep 2021 11:05:13 +0200

=== debian/control ===
--- 
+++ 
@@ -23,8 +23,8 @@
  python3-httplib2,
  python3-mock,
  python3-netaddr,
- python3-neutron (>= 18.0.0~),
- python3-neutron-lib,
+ python3-neutron (>= 2:19.0.0~),
+ python3-neutron-lib (>= 2.15.0),
  python3-openstackdocstheme,
  python3-os-ken,
  python3-oslo.concurrency,
@@ -130,8 +130,8 @@
  python3-eventlet,
  python3-httplib2,
  python3-netaddr,
- python3-neutron (>= 18.0.0~),
- python3-neutron-lib,
+ python3-neutron (>= 2:19.0.0~),
+ python3-neutron-lib (>= 2.15.0),
  python3-os-ken,
  python3-oslo.config,
  python3-oslo.db,
